
EXTRA_DIST =  Makefile

# Warning: This is an automatically generated file, do not edit!

srcdir=.
top_srcdir=..

include $(top_srcdir)/config.make

ifeq ($(CONFIG),DEBUG_X86)
ASSEMBLY_COMPILER_COMMAND = dmcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize- -debug "-define:DEBUG;"
ASSEMBLY = bin/Debug/DMX-2.0.exe
ASSEMBLY_MDB = $(ASSEMBLY).mdb
COMPILE_TARGET = winexe
PROJECT_REFERENCES = 
BUILD_DIR = bin/Debug

DMX_2_0_EXE_MDB_SOURCE=bin/Debug/DMX-2.0.exe.mdb
DMX_2_0_EXE_MDB=$(BUILD_DIR)/DMX-2.0.exe.mdb
STYLE_GTKRC_SOURCE=style.gtkrc

endif

ifeq ($(CONFIG),RELEASE_X86)
ASSEMBLY_COMPILER_COMMAND = dmcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+
ASSEMBLY = bin/Release/DMX-2.0.exe
ASSEMBLY_MDB = 
COMPILE_TARGET = winexe
PROJECT_REFERENCES = 
BUILD_DIR = bin/Release

DMX_2_0_EXE_MDB=
STYLE_GTKRC_SOURCE=style.gtkrc

endif

AL=al
SATELLITE_ASSEMBLY_NAME=$(notdir $(basename $(ASSEMBLY))).resources.dll

PROGRAMFILES = \
	$(DMX_2_0_EXE_MDB) \
	$(STYLE_GTKRC)  


RESGEN=resgen2

STYLE_GTKRC = $(BUILD_DIR)/style.gtkrc

FILES = \
	gtk-gui/generated.cs \
	MainWindow.cs \
	Main.cs \
	AssemblyInfo.cs \
	gtk-gui/DMX2.MainWindow.cs \
	UniversDMX.cs \
	Sequenceur.cs \
	SequenceurLineaire.cs \
	GestionCircuits.cs \
	gtk-gui/DMX2.GestionCircuits.cs \
	SequenceurUI.cs \
	SeqLinUI.cs \
	gtk-gui/DMX2.SeqLinUI.cs \
	SelSeqCircuits.cs \
	gtk-gui/DMX2.SelSeqCircuits.cs \
	EditionUnivers.cs \
	gtk-gui/DMX2.EditionUnivers.cs \
	DriverDMX.cs \
	DriverBoitierV1.cs \
	SequenceurMaitre.cs \
	ErreurLectureFichier.cs \
	SequenceurMacro.cs \
	SeqMacroUI.cs \
	gtk-gui/DMX2.SeqMacroUI.cs \
	Info.cs \
	EventManager.cs \
	MidiEventProvider.cs \
	MidiEventProvider.PInvoke.cs \
	HelperFunctions.cs \
	GestionDriversUI.cs \
	gtk-gui/DMX2.GestionDriversUI.cs \
	DriverBoitierV1UI.cs \
	gtk-gui/DMX2.DriverBoitierV1UI.cs \
	DriverBoitierV2.cs \
	DriverBoitierV2UI.cs \
	gtk-gui/DMX2.DriverBoitierV2UI.cs \
	WebServer.cs \
	Conduite.cs \
	About.cs \
	gtk-gui/DMX2.About.cs \
	DriverBoitierV3.cs \
	DriverBoitierV3UI.cs \
	gtk-gui/DMX2.DriverBoitierV3UI.cs 

DATA_FILES = 

RESOURCES = \
	gtk-gui/gui.stetic \
	icons/ictir/16.png,DMX2.icons.ictir.16.png \
	icons/ictir/22.png,DMX2.icons.ictir.22.png \
	icons/ictir/24.png,DMX2.icons.ictir.24.png \
	icons/ictir/32.png,DMX2.icons.ictir.32.png \
	icons/ictir/48.png,DMX2.icons.ictir.48.png \
	icons/docListe/16.png,DMX2.icons.docListe.16.png \
	icons/docListe/22.png,DMX2.icons.docListe.22.png \
	icons/docListe/24.png,DMX2.icons.docListe.24.png \
	icons/docListe/32.png,DMX2.icons.docListe.32.png \
	icons/docListe/48.png,DMX2.icons.docListe.48.png \
	style.gtkrc \
	html/page.html \
	html/js/jquery-ui.js,js.jquery-ui.js \
	html/css/theme/jquery-ui.css,css.theme.jquery-ui.css \
	html/css/theme/images/ui-bg_glass_100_f6f6f6_1x400.png,css.theme.images.ui-bg_glass_100_f6f6f6_1x400.png \
	html/css/theme/images/ui-bg_flat_10_000000_40x100.png,css.theme.images.ui-bg_flat_10_000000_40x100.png \
	html/js/jquery-1.9.1.js,js.jquery-1.9.1.js \
	html/css/theme/images/ui-bg_diagonals-thick_18_b81900_40x40.png,css.theme.images.ui-bg_diagonals-thick_18_b81900_40x40.png \
	html/css/theme/images/ui-bg_diagonals-thick_20_666666_40x40.png,css.theme.images.ui-bg_diagonals-thick_20_666666_40x40.png \
	html/css/theme/images/ui-bg_highlight-soft_100_eeeeee_1x100.png,css.theme.images.ui-bg_highlight-soft_100_eeeeee_1x100.png \
	html/css/theme/images/ui-bg_glass_100_fdf5ce_1x400.png,css.theme.images.ui-bg_glass_100_fdf5ce_1x400.png \
	html/css/theme/images/ui-bg_glass_65_ffffff_1x400.png,css.theme.images.ui-bg_glass_65_ffffff_1x400.png 

EXTRAS = \
	html \
	html/js/jquery-ui-1.10.3.custom.js \
	html/css/theme/images/animated-overlay.gif \
	html/css/theme/images/ui-bg_gloss-wave_35_f6a828_500x100.png \
	html/css/theme/images/ui-bg_highlight-soft_75_ffe45c_1x100.png \
	html/css/theme/images/ui-icons_228ef1_256x240.png \
	html/css/theme/images/ui-icons_222222_256x240.png \
	html/css/theme/images/ui-icons_ef8c08_256x240.png \
	html/css/theme/images/ui-icons_ffd27a_256x240.png \
	html/css/theme/images/ui-icons_ffffff_256x240.png 

REFERENCES =  \
	System \
	-pkg:gtk-sharp-2.0 \
	-pkg:glib-sharp-2.0 \
	System.Xml \
	System.Core \
	System.Web

DLL_REFERENCES = 

CLEANFILES = $(PROGRAMFILES) 

#Targets
all: $(ASSEMBLY) $(PROGRAMFILES)  $(top_srcdir)/config.make

include $(top_srcdir)/Makefile.include
#include $(srcdir)/custom-hooks.make



$(eval $(call emit-deploy-target,STYLE_GTKRC))


$(eval $(call emit_resgen_targets))
$(build_xamlg_list): %.xaml.g.cs: %.xaml
	xamlg '$<'


$(ASSEMBLY_MDB): $(ASSEMBLY)
$(ASSEMBLY): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list) $(build_satellite_assembly_list)
	make pre-all-local-hook prefix=$(prefix)
	mkdir -p $(shell dirname $(ASSEMBLY))
	make $(CONFIG)_BeforeBuild
	$(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
	make $(CONFIG)_AfterBuild
	make post-all-local-hook prefix=$(prefix)

install-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-install-local-hook prefix=$(prefix)
	make install-satellite-assemblies prefix=$(prefix)
	mkdir -p '$(DESTDIR)$(libdir)/$(PACKAGE)'
	$(call cp,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(DMX_2_0_EXE_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(STYLE_GTKRC),$(DESTDIR)$(libdir)/$(PACKAGE))
	make post-install-local-hook prefix=$(prefix)

uninstall-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-uninstall-local-hook prefix=$(prefix)
	make uninstall-satellite-assemblies prefix=$(prefix)
	$(call rm,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(DMX_2_0_EXE_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(STYLE_GTKRC),$(DESTDIR)$(libdir)/$(PACKAGE))
	make post-uninstall-local-hook prefix=$(prefix)

install: install-local
uninstall: uninstall-local
clean: clean-local

include $(top_srcdir)/rules.make
